"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var moment = require("moment");
var momentBusiness = require("moment-business");
function addDuration(date, duration, excludeHolidays, isNonWorkingDay) {
    var mom = moment(date);
    // First work day count as 1 day. (2017/01/02 - 2017/01-02 = 1 day)
    var normalizeDuration = function (d) {
        var sign = d >= 0 ? 1 : -1;
        return d !== 0 ? d - (sign * 1) : 0;
    };
    if (excludeHolidays) {
        if (!isNonWorkingDay(date)) {
            duration = normalizeDuration(duration);
        }
        return momentBusiness.addWeekDays(mom, duration).toDate();
    }
    else {
        duration = normalizeDuration(duration);
        return mom.add(duration, "days").toDate();
    }
}
exports.addDuration = addDuration;
//# sourceMappingURL=addDuration.js.map