"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TaskConstant_1 = require("../constants/TaskConstant");
var moment = require("moment");
exports.dateToCompare = function (schedule, status) {
    var date = null;
    var today = moment(new Date());
    var isTodayWithinRange;
    if (schedule) {
        if (status === TaskConstant_1.TaskConstant.STATUS.PLANNED) {
            today = today.startOf("day");
            isTodayWithinRange = schedule.startDate.projected && today.isBefore(schedule.startDate.projected);
            date = isTodayWithinRange ? schedule.startDate.projected : today.toDate();
        }
        else if (status === TaskConstant_1.TaskConstant.STATUS.ON_GOING) {
            today = today.endOf("day");
            isTodayWithinRange = schedule.endDate.projected && today.isBefore(schedule.endDate.projected);
            date = isTodayWithinRange ? schedule.endDate.projected : today.toDate();
        }
    }
    return date;
};
//# sourceMappingURL=dateToCompare.js.map