"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
exports.delayColor = function (delayDays, delayTypes) {
    var types = [];
    if (delayDays === null) {
        return null;
    }
    if (delayDays <= 0) {
        types = delayTypes ? _.filter(delayTypes, function (type) { return type.maxDays === 0; }) : [];
        return types.length > 0 ? types[0].color : "green";
    }
    types = delayTypes ? _.filter(delayTypes, function (type) { return type.maxDays >= delayDays; }) : [];
    if (types.length > 0) {
        var delayType = _.min(types, function (type) { return type.maxDays; });
        return delayDays > 10 || delayType.maxDays <= 10 ? delayType.color : "orange";
    }
    else {
        types = delayTypes ? _.filter(delayTypes, function (type) { return _.isUndefined(type.maxDays); }) : [];
        if (types.length > 0) {
            return types[0].color;
        }
        else {
            return delayDays > 10 ? "red" : "orange";
        }
    }
};
//# sourceMappingURL=delayColor.js.map