"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TaskConstant_1 = require("../constants/TaskConstant");
var scheduleStep_1 = require("./scheduleStep");
var _ = require("underscore");
function fadedPreset(schedule, status) {
    var draft = status === TaskConstant_1.TaskConstant.STATUS.DRAFT;
    var planned = status === TaskConstant_1.TaskConstant.STATUS.PLANNED;
    var baseline = scheduleStep_1.scheduleStep(schedule, "planned");
    var estimated = scheduleStep_1.scheduleStep(schedule, "projected");
    var actual = scheduleStep_1.scheduleStep(schedule, "actual");
    var isSetEstimated = _.contains([!!estimated.start, !!estimated.end, !!estimated.duration], true);
    var isSetActual = _.contains([!!actual.start, !!actual.end, !!actual.duration], true);
    var isOutdatedBaseline = draft && (isSetEstimated || isSetActual);
    var isOutdatedEstimated = planned && (isSetActual);
    var startDate = {
        baseline: isOutdatedBaseline && baseline.start,
        estimated: isOutdatedEstimated && estimated.start
    };
    var endDate = {
        baseline: isOutdatedBaseline && baseline.end,
        estimated: isOutdatedEstimated && estimated.end
    };
    var duration = {
        baseline: isOutdatedBaseline && baseline.duration,
        estimated: isOutdatedEstimated && estimated.duration
    };
    return { startDate: startDate, endDate: endDate, duration: duration };
}
exports.fadedPreset = fadedPreset;
//# sourceMappingURL=fadedPreset.js.map