import {ApprovalRequestRecord} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import {ApprovalRequestStatus} from "../constants/ApprovalRequestStatus";
import {isAllApproved} from "./isAllApproved";
import {isAllReplied} from "./isAllReplied";

export function extendStatus(record: ApprovalRequestRecord): ApprovalRequestRecord {
    const approvers = record.approvers || [];

    const status = isAllReplied(approvers)
        ? isAllApproved(approvers) ? ApprovalRequestStatus.COMPLETED : ApprovalRequestStatus.REJECTED
        : record.immutable ? ApprovalRequestStatus.CANCEL : ApprovalRequestStatus.UNDER_APPROVAL;

    record.status = status;
    return record;
}
