import * as moment from "moment";
import * as momentBusiness from "moment-business";

export function addDuration(
    date: Date,
    duration: number,
    excludeHolidays: boolean,
    isNonWorkingDay: (date: Date) => boolean
): Date {
    const mom = moment(date);

    // First work day count as 1 day. (2017/01/02 - 2017/01-02 = 1 day)
    const normalizeDuration = (d: number) => {
        const sign = d >= 0 ? 1 : -1;
        return d !== 0 ? d - (sign * 1) : 0;
    };

    if (excludeHolidays) {
        if (!isNonWorkingDay(date)) {
            duration = normalizeDuration(duration);
        }
        return momentBusiness.addWeekDays(mom, duration).toDate();
    } else {
        duration = normalizeDuration(duration);
        return mom.add(duration, "days").toDate();
    }
}
