import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";
import {TaskConstant} from "../constants/TaskConstant";
import * as moment from "moment";

export const dateToCompare = (schedule: SchedulePreset, status: string): Date => {
    let date: Date = null;
    let today: moment.Moment = moment(new Date());
    let isTodayWithinRange: boolean;

    if (schedule) {
        if (status === TaskConstant.STATUS.PLANNED) {
            today = today.startOf("day");
            isTodayWithinRange = schedule.startDate.projected && today.isBefore(schedule.startDate.projected);
            date = isTodayWithinRange ? schedule.startDate.projected : today.toDate();
        } else if (status === TaskConstant.STATUS.ON_GOING) {
            today = today.endOf("day");
            isTodayWithinRange = schedule.endDate.projected && today.isBefore(schedule.endDate.projected);
            date = isTodayWithinRange ? schedule.endDate.projected : today.toDate();
        }
    }

    return date;
};
