import {DelayTypeRecord} from "kaneoh-data-types/types/records/DelayTypeRecord";
import * as _ from "underscore";

export const delayColor = (delayDays: number, delayTypes?: Array<DelayTypeRecord>): string => {
    let types: Array<DelayTypeRecord> = [];

    if (delayDays === null) {
        return null;
    }

    if (delayDays <= 0) {
        types = delayTypes ? _.filter(delayTypes, (type) => type.maxDays === 0) : [];
        return types.length > 0 ? types[0].color : "green";
    }

    types = delayTypes ? _.filter(delayTypes, (type) => type.maxDays >= delayDays) : [];

    if (types.length > 0) {
        const delayType: DelayTypeRecord = _.min(types, (type) => type.maxDays);
        return delayDays > 10 || delayType.maxDays <= 10 ? delayType.color : "orange";
    } else {
        types = delayTypes ? _.filter(delayTypes, (type) => _.isUndefined(type.maxDays)) : [];
        if (types.length > 0) {
            return types[0].color;
        } else {
            return delayDays > 10 ? "red" : "orange";
        }
    }
};
