import * as moment from "moment";
import * as momentBusiness from "moment-business";
import * as _ from "underscore";

export function duration(
    startDate: Date,
    endDate: Date,
    excludeHolidays: boolean,
    isNonWorkingDay: (date: Date) => boolean
): number {
    if (_(startDate).isDate() && _(endDate).isDate()) {
        if (excludeHolidays) {
            // Add 1 day if endDate is weekday
            const extraDay = !isNonWorkingDay(endDate) ? 1 : 0;
            return momentBusiness.weekDays(moment(startDate), moment(endDate)) + extraDay;
        } else {
            return moment(endDate).diff(startDate, "days") + 1;
        }
    }
    return null;
}
