import {ScheduleDate, ScheduleDuration, SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";
import * as _ from "underscore";

export function scheduleStep(schedule: SchedulePreset, type: string): any {
    const lookup = (scheduleField: ScheduleDate | ScheduleDuration, step: string): Date => {
        return scheduleField && !_.isUndefined(scheduleField[step]) ? scheduleField[step] : null;
    };

    return {
        start: lookup(schedule.startDate, type),
        end: lookup(schedule.endDate, type),
        duration: lookup(schedule.duration, type)
    };
}
